Varias vulnerabilidades en Macromedia Coldfusion MX

SeguridadVirus

Se han encontrado vulnerabilidades en ColdFusion que pueden ser empleadas por atacantes para perpetrar ataques de cross site scripting, eludir ciertas restricciones de seguridad y también pueden ser aprovechadas para provocar que la aplicación deje de responder.

ColdFusion es un popular software de servidor de aplicaciones web que agrupa un lenguaje propio, herramientas visuales de desarrollo y servidor de aplicaciones. Es ampliamente utilizado en entornos empresariales para ofrecer soluciones Internet e Intranet bajo plataformas como Windows, Linux y Solaris.

El primer error que permite ataques de cross site scripting se debe a que la entrada que se le pasa a través de URL no es debidamente depurada antes de ser enviada al usuario a través de la página de error de ColdFusion Esto puede ser aprovechado para ejecutar código HTML o script arbitrario en el navegador del usuario. Esta vulnerabilidad ha sido confirmada en las versiones 6.1, 7.01, y 7.02.

Para solucionarlo, se recomienda aplicar los hotfix para estas versiones descargable desde: http://www.adobe.com/cfusion/knowledgebase/index.cfm?id=dcf966be

Además, es posible provocar un bucle infinito en ColdFusion de forma remota si se envía un comando especialmente manipulado al Flash Remoting Gateway de ColdFusion.

Existe por último un error en las plantillas CFML, que son capaces bajo ciertas circunstancias de, desde fuera de un sandbox, llamar a componentes de ColdFusion ( CFC) que sí están dentro. Este problema no es aprovechable de forma remota.

Las versiones afectadas por este problema son la 7 y 7.0.1. Se recomienda actualizar a la versión 7.0.2 o aplicar el hotfix para la versión 7.0.1 desde: http://www.adobe.com/support/security/bulletins/hf701-apsb06-12.zip

http://www.adobe.com/support/coldfusion/ts/documents/94491491/hf701-61892.zip

Leer la biografía del autor  Ocultar la biografía del autor